package com.brilliance.isc.model.atx;

import java.util.Date;
import java.io.Serializable;

/**
 * (Atx)实体类
 *
 * @author makejava
 * @since 2022-11-14 16:09:10
 */
public class Atx implements Serializable {

    private String inr;

    private String extkey;

    private String nam;

    private String ver;

    private String objinr;

    private String atxtyp;

    private String objtyp;

    private String atxcod;

    private String atxtxt;

    private String syncolflg;

    private String synagrtyp;

    private String synagrothtxt;

    private Date synagrdat;

    private String uil;

    private String gtxlegfrm;

    private String covgodsrvdft;

    private String gtxexpflg;

    private String labaddinf;

    private String laborcdat;

    private String gtxpri;

    private String expliatxt;

    private String preinstxt;

    private String gtxfullflg;

    private String etgextkey;

    private String gtxhndtyp;

    private String getfldnrm;

    private String objkey;

    private String objnam;

    private String gtxgartyp;

    private String gtxpurpos;






    public String getInr() {
        return inr;
    }

    public void setInr(String inr) {
        this.inr = inr;
    }

    public String getExtkey() {
        return extkey;
    }

    public void setExtkey(String extkey) {
        this.extkey = extkey;
    }

    public String getNam() {
        return nam;
    }

    public void setNam(String nam) {
        this.nam = nam;
    }

    public String getVer() {
        return ver;
    }

    public void setVer(String ver) {
        this.ver = ver;
    }

    public String getObjinr() {
        return objinr;
    }

    public void setObjinr(String objinr) {
        this.objinr = objinr;
    }

    public String getAtxtyp() {
        return atxtyp;
    }

    public void setAtxtyp(String atxtyp) {
        this.atxtyp = atxtyp;
    }

    public String getObjtyp() {
        return objtyp;
    }

    public void setObjtyp(String objtyp) {
        this.objtyp = objtyp;
    }

    public String getAtxcod() {
        return atxcod;
    }

    public void setAtxcod(String atxcod) {
        this.atxcod = atxcod;
    }

    public String getAtxtxt() {
        return atxtxt;
    }

    public void setAtxtxt(String atxtxt) {
        this.atxtxt = atxtxt;
    }

    public String getSyncolflg() {
        return syncolflg;
    }

    public void setSyncolflg(String syncolflg) {
        this.syncolflg = syncolflg;
    }

    public String getSynagrtyp() {
        return synagrtyp;
    }

    public void setSynagrtyp(String synagrtyp) {
        this.synagrtyp = synagrtyp;
    }

    public String getSynagrothtxt() {
        return synagrothtxt;
    }

    public void setSynagrothtxt(String synagrothtxt) {
        this.synagrothtxt = synagrothtxt;
    }

    public Date getSynagrdat() {
        return synagrdat;
    }

    public void setSynagrdat(Date synagrdat) {
        this.synagrdat = synagrdat;
    }

    public String getUil() {
        return uil;
    }

    public void setUil(String uil) {
        this.uil = uil;
    }

    public String getGtxlegfrm() {
        return gtxlegfrm;
    }

    public void setGtxlegfrm(String gtxlegfrm) {
        this.gtxlegfrm = gtxlegfrm;
    }

    public String getCovgodsrvdft() {
        return covgodsrvdft;
    }

    public void setCovgodsrvdft(String covgodsrvdft) {
        this.covgodsrvdft = covgodsrvdft;
    }

    public String getGtxexpflg() {
        return gtxexpflg;
    }

    public void setGtxexpflg(String gtxexpflg) {
        this.gtxexpflg = gtxexpflg;
    }

    public String getLabaddinf() {
        return labaddinf;
    }

    public void setLabaddinf(String labaddinf) {
        this.labaddinf = labaddinf;
    }

    public String getLaborcdat() {
        return laborcdat;
    }

    public void setLaborcdat(String laborcdat) {
        this.laborcdat = laborcdat;
    }

    public String getGtxpri() {
        return gtxpri;
    }

    public void setGtxpri(String gtxpri) {
        this.gtxpri = gtxpri;
    }

    public String getExpliatxt() {
        return expliatxt;
    }

    public void setExpliatxt(String expliatxt) {
        this.expliatxt = expliatxt;
    }

    public String getPreinstxt() {
        return preinstxt;
    }

    public void setPreinstxt(String preinstxt) {
        this.preinstxt = preinstxt;
    }

    public String getGtxfullflg() {
        return gtxfullflg;
    }

    public void setGtxfullflg(String gtxfullflg) {
        this.gtxfullflg = gtxfullflg;
    }

    public String getEtgextkey() {
        return etgextkey;
    }

    public void setEtgextkey(String etgextkey) {
        this.etgextkey = etgextkey;
    }

    public String getGtxhndtyp() {
        return gtxhndtyp;
    }

    public void setGtxhndtyp(String gtxhndtyp) {
        this.gtxhndtyp = gtxhndtyp;
    }

    public String getGetfldnrm() {
        return getfldnrm;
    }

    public void setGetfldnrm(String getfldnrm) {
        this.getfldnrm = getfldnrm;
    }

    public String getObjkey() {
        return objkey;
    }

    public void setObjkey(String objkey) {
        this.objkey = objkey;
    }

    public String getObjnam() {
        return objnam;
    }

    public void setObjnam(String objnam) {
        this.objnam = objnam;
    }

    public String getGtxgartyp() {
        return gtxgartyp;
    }

    public void setGtxgartyp(String gtxgartyp) {
        this.gtxgartyp = gtxgartyp;
    }

    public String getGtxpurpos() {
        return gtxpurpos;
    }

    public void setGtxpurpos(String gtxpurpos) {
        this.gtxpurpos = gtxpurpos;
    }

}

